# TeamModel extension
> SpringBoot base version of TeamModel extension
> 
> **注意**: 所有复盘输出均已脱敏,不包含任何业务,密码等关键信息

## 迁移目录:
- Azure OIDC(SSO) 迁移
- id-token(jwt) 验证迁移 (出现语言框架之间的签名算法规范问题,解决见: [输出复盘](https://juejin.cn/post/7300036605099163702))
- 钉钉告警: 异常通知
- 异常文件记录

### MILESTONE:
- Java 框架搭建
- 教育评价系统前后台实现
- Chat with AI 接入



## 数据表规则: 
> ID 没有特殊之指明则为 UUID
### 教育评价树
分区键: `Appraise` , 表内 `schoolId` 区分学校, `periodId` 区分学区

### 教育评价项
> 学生每学期所有的评价项都在一个项中,按学校进行分区
>
> 注意: 如果学生中途换班,也就是 classId 发生变动,那么会给这个学生在本学期新开一个文档,也就是说一个学生在一个学期的文档可能不止一个(小概率)
> 

分区键: `AppraiseRecord-{学校id}`
academicYearId: `学年 + semesterId` -> eg: 2022.uuid